Red Hat Satellite installation fails with the error: Execution of '/usr/bin/yum -d 0 -e 0 -y install postgresql' returned 1: Error: rh-postgresql96-postgresql-syspaths conflicts with postgresql-9.2.24-1.el7_5.x86_64.

Solution Verified - Updated -

Issue

  • satellite-installer command is failing with error: Execution of '/usr/bin/yum -d 0 -e 0 -y install postgresql' returned 1: Error: rh-postgresql96-postgresql-syspaths conflicts with postgresql-9.2.24-1.el7_5.x86_64.
  • While trying to install Red Hat Satellite, it fails with the following error messages in /var/log/foreman-installer/satellite.log:
[ERROR 2019-10-23T14:51:25 main]  /Stage[main]/Postgresql::Server::Install/Package[postgresql-server]/ensure: change from 'purged' to 'present' failed: Execution of '/usr/bin/yum -d 0 -e 0 -y install postgresql-server' returned 1: Error: rh-postgresql96-postgresql-syspaths conflicts with postgresql-9.2.24-1.el7_5.x86_64

Environment

  • Red Hat Satellite 6.x

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In